com.io7m.jtensors

## Interface MatrixWritable3x3DType

- All Superinterfaces:
    MatrixWritable2x2DType, MatrixWritableDType
  All Known Subinterfaces:
    Matrix3x3DType, Matrix4x4DType, MatrixByteBuffered3x3DType, MatrixByteBuffered4x4DType, MatrixDirect3x3DType, MatrixDirect4x4DType, MatrixWritable4x4DType, PMatrix3x3DType<T0,T1>, PMatrix4x4DType<T0,T1>, PMatrixByteBuffered3x3DType<T0,T1>, PMatrixByteBuffered4x4DType<T0,T1>, PMatrixDirect3x3DType<T0,T1>, PMatrixDirect4x4DType<T0,T1>, PMatrixWritable3x3DType<T,U>, PMatrixWritable4x4DType<T,U>
  All Known Implementing Classes:
    MatrixByteBufferedM3x3D, MatrixByteBufferedM4x4D, MatrixDirectM3x3D, MatrixDirectM4x4D, MatrixHeapArrayM3x3D, MatrixHeapArrayM4x4D, PMatrixByteBufferedM3x3D, PMatrixByteBufferedM4x4D, PMatrixDirectM3x3D, PMatrixDirectM4x4D, PMatrixHeapArrayM3x3D, PMatrixHeapArrayM4x4D

      public interface MatrixWritable3x3DType
      extends MatrixWritable2x2DType

  'Write' interface to 3x3 matrices with `double` elements.
  Since:
    7.0.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setR0C2D(double x)` Set row 0, column 2 of the matrix to `x`.
    `void` | `setR1C2D(double x)` Set row 1, column 2 of the matrix to `x`.
    `void` | `setR2C0D(double x)` Set row 2, column 0 of the matrix to `x`.
    `void` | `setR2C1D(double x)` Set row 2, column 1 of the matrix to `x`.
    `void` | `setR2C2D(double x)` Set row 2, column 2 of the matrix to `x`.
    `void` | `setRowWith3D(int row, VectorReadable3DType v)` Set row `row` of the matrix to `v`.
    `void` | `setRowWith3DUnsafe(int row, VectorReadable3DType v)` Set row `row` of the matrix to `v`.

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable2x2DType

      `setR0C0D, setR0C1D, setR1C0D, setR1C1D, setRowWith2D, setRowWith2DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritableDType

      `setRowColumnD`

- - ### Method Detail

    - #### setRowWith3D

          void setRowWith3D(int row,
                            VectorReadable3DType v)

      Set row `row` of the matrix to `v`.
      Parameters:
        `row` - The row index
        `v` - The row vector

    - #### setRowWith3DUnsafe

          void setRowWith3DUnsafe(int row,
                                  VectorReadable3DType v)

      Set row `row` of the matrix to `v`. No bounds checking is performed for `row`, and out-of-bounds values result in undefined behaviour.
      Parameters:
        `row` - The row index
        `v` - The row vector

    - #### setR0C2D

          void setR0C2D(double x)

      Set row 0, column 2 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR1C2D

          void setR1C2D(double x)

      Set row 1, column 2 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR2C0D

          void setR2C0D(double x)

      Set row 2, column 0 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR2C1D

          void setR2C1D(double x)

      Set row 2, column 1 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR2C2D

          void setR2C2D(double x)

      Set row 2, column 2 of the matrix to `x`.
      Parameters:
        `x` - The value

Copyright © 2015 <code@io7m.com> http://io7m.com